Create resident credit
POST
https://api.propexo.com/v1/resident-credits/Create a resident credit for an integration.
Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Request
This endpoint expects an object.
- string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$
integration_idstringrequired
lease_idstring
The Propexo unique identifier for the lease
amount_in_centsinteger
The amount of the resident credit, in cents
Possible values: > 0
transaction_datestring
The transaction date of the resident credit
Show 2 variants
descriptionstring
Description of the resident credit
reference_numberstring
The reference number for the resident charge
resident_idstring
The Propexo unique identifier for the resident
charge_code_idstring
The Propexo unique identifier for the charge code
notesstring
Notes associated with the resident charge
financial_account_idstring
The Propexo unique identifier for the financial account
Response
Successful response
job_idstringrequired
The ID of the job created to handle this operation
data objectrequired
object
Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
POST /v1/resident-credits/
curl -X POST https://api.propexo.com/v1/resident-credits/ \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string"
}'
200 Successful response
{
"job_id": "string",
"data": {}
}